#include <dolfin.h>

namespace dolfin { namespace unicorn {

void FormFactory(Mesh& mesh,
		 Form*& a, Form*& L,
		 Form*& aJac,
		 Form*& aS, Form*& LS,
		 Form*& aP, Form*& LP,
		 Function& U,
		 Function& B,
		 Function& u0,
		 Function& rho,
		 Function& mu,
		 Function& lmbda,
		 Function& beta,
		 Function& kf,
		 Function& f);

}}
